global:
  scrape_interval: 15s
  evaluation_interval: 15s

rule_files:
  - /etc/prometheus/rules/*.yml

scrape_configs:
  - job_name: "node"
    static_configs:
      - targets: ["10.10.0.1:9100"]
        labels:
          node: "COM1"
      - targets: ["10.10.0.2:9100"]
        labels:
          node: "Tresor"
      - targets: ["10.10.0.3:9100"]
        labels:
          node: "Motor"
      - targets: ["10.10.0.4:9100"]
        labels:
          node: "COM2"
      - targets: ["10.10.0.5:9100"]
        labels:
          node: "Brain"

  - job_name: "cadvisor"
    static_configs:
      - targets: ["10.10.0.1:8080"]
        labels:
          node: "COM1"
      - targets: ["10.10.0.2:8081"]
        labels:
          node: "Tresor"
      - targets: ["10.10.0.3:8080"]
        labels:
          node: "Motor"
      - targets: ["10.10.0.4:8082"]
        labels:
          node: "COM2"
      - targets: ["10.10.0.5:8080"]
        labels:
          node: "Brain"

  - job_name: "pushgateway"
    honor_labels: true
    static_configs:
      - targets: ["hxki-pushgateway:9091"]
